View Issue Details

IDProjectCategoryView StatusLast Update
0018705MediaMonkey 5Main Panelpublic2022-01-22 19:07
Reporterlowlander Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0.3 
Target Version5.0.3Fixed in Version5.0.3 
Summary0018705: MediaMonkey unresponsive with large Lyrics content
DescriptionPlaying a file with large Lyrics with Preview set to show Lyrics makes MediaMonkey unresponsive.
Steps To Reproduce1 Add long Lyrics to a file
2 Play file with Lyrics shown in Preview set to Playing tab
--> MediaMonkey becomes quite unresponsive
3 When next file starts playing, MediaMonkey remains unresponsive
--> A MM restart seems required to get out of this state
Additional InformationTicket 3392
TagsNo tags attached.
Fixed in build2602

Activities

Ludek

2022-01-19 16:26

developer   ~0066675

I can confirm that MP3 file tagged with such a long lyrics fails to play in MM4/MM5.
Probably the tag reading freezes the playback thread completelly.

Assigned to Michal to check.

Ludek

2022-01-19 16:34

developer   ~0066676

Last edited: 2022-01-19 16:39

View 2 revisions

OK, in MM4 it is EOutOfMemory error when creating lyrics layer in lyrics scroller, so that's another issue than in MM5.

Maybe we could just limit the size of the used lyrics? This one is really nonsense, it has more than 2 millions characters!

Anyhow the playback thread freezes even if the Preview window is hidden in Options > Layouts

michal

2022-01-20 14:11

developer   ~0066681

Fixed in build 2602. MM5 can handle even such large lyrics now.

peke

2022-01-22 19:07

developer   ~0066715

Verified 2603

No more issues.